Update an Order

Update the details of an existing order. Only certain fields are updatable. Basket and customer data cannot be changed.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Only applicable for hosted elements and direct api integration types. Use this method to update an order previously created but not successful. There may be various use cases when you decide updating the order could be a useful feature. Eg. think of a situation where the initial payment attempt has been declined due to card being restricted or insufficient funds. You can redirect your customer back to checkout so they can enter another card details.

Make sure to earlier present your customer with an informative message such as "Please use another card", "Card not support, retry using other card".

Once the card details are entered again, make sure your flow is ready to handle this use case. Do not create a new order but use the card token from the new attempt to update the existing order.

All the following information can be updated :

  • operation_type (mandatory)
  • payment_channel (mandatory)
  • token
  • authentication indicator
  • payment_method
  • customer_ip
  • merchant_contract
Basket content and customer information can not be updated via this method, a new order will have to be created if these information must be changed.

Path Params
string
required
Defaults to 68e13b6605a7371ed36b2b9f

The ID of the order to update

Body Params
string
enum
required
Defaults to direct_capture

Specify the kind of order: authorize or direct_capture

Allowed:
string
required
Defaults to 414749aae9796e3db08e66822b6f4315b0af0615fa3b4e9638bb5cd83eb02ac1

Given in response to the /payment/token request

string
enum
required
Defaults to e-commerce

Describes where the transaction is taking place

Allowed:
string
Defaults to visa

Payment method name. Find all available values here

string
enum
Defaults to no_3ds

3DS authentication scenario

Allowed:
string
Defaults to 127.0.0.1

Customer's IP address

string
Defaults to 5fa03b55e394b7a83c5f2d94

Merchant contract ID

Headers
string
required
Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json